> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quentli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversations

> Returns customer conversations, most recent activity first.



## OpenAPI

````yaml /openapi.yaml get /v1/conversations
openapi: 3.1.0
info:
  title: Quentli REST API
  version: 1.0.0
  description: OpenAPI spec for Quentli REST endpoints.
servers:
  - url: https://api.quentli.com
    description: Production API
  - url: https://api.staging.quentli.com
    description: Staging API for production-like validation
security:
  - organizationApiKey: []
  - oauthAccessToken: []
tags:
  - name: Auth
  - name: Management
  - name: Billing
  - name: Catalog
  - name: Customers
  - name: Invoices
  - name: Payment Methods
  - name: Payment Sessions
  - name: Payments
  - name: Subscriptions
  - name: Tax Invoices
  - name: Webhooks
  - name: Messaging
paths:
  /v1/conversations:
    get:
      tags:
        - Messaging
      summary: List conversations
      description: Returns customer conversations, most recent activity first.
      operationId: conversations_list
      parameters:
        - schema:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/StringFilter'
              customerId:
                $ref: '#/components/schemas/StringFilter'
              createdAt:
                $ref: '#/components/schemas/DateTimeFilter'
              lastMessageAt:
                $ref: '#/components/schemas/DateTimeFilter'
              lastInboundMessageAt:
                $ref: '#/components/schemas/DateTimeFilter'
              lastOutboundMessageAt:
                $ref: '#/components/schemas/DateTimeFilter'
              assignedUserId:
                $ref: '#/components/schemas/StringFilter'
              hasActiveIssue:
                anyOf:
                  - type: boolean
                    description: Boolean
                  - type: string
                    description: Boolean string
            additionalProperties: false
            description: Fields encoded with `qs` bracket notation.
          required: false
          description: Fields encoded with `qs` bracket notation.
          style: deepObject
          explode: true
          name: filter
          in: query
        - schema:
            type: number
            minimum: 0
            default: 0
            description: Pagination offset.
            example: 0
          required: false
          description: Pagination offset.
          name: skip
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
            description: Pagination limit.
            example: 20
          required: false
          description: Pagination limit.
          name: take
          in: query
      responses:
        '200':
          description: Conversations list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConversationsResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
components:
  schemas:
    StringFilter:
      type: object
      properties:
        equals:
          type: string
        in:
          type: array
          items:
            type: string
        notIn:
          type: array
          items:
            type: string
        lt:
          type: string
        lte:
          type: string
        gt:
          type: string
        gte:
          type: string
        contains:
          type: string
        startsWith:
          type: string
        endsWith:
          type: string
        search:
          type: string
        not:
          $ref: '#/components/schemas/StringFilter'
      additionalProperties: false
    DateTimeFilter:
      type: object
      properties:
        equals:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        lt:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        lte:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        gt:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        gte:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        not:
          $ref: '#/components/schemas/DateTimeFilter'
      additionalProperties: false
    GetConversationsResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          createdAt:
            type: string
            format: date-time
          updatedAt:
            type: string
            format: date-time
          customerId:
            type:
              - string
              - 'null'
          organizationId:
            type: string
          lastMessageAt:
            type:
              - string
              - 'null'
            format: date-time
          lastInboundMessageAt:
            type:
              - string
              - 'null'
            format: date-time
          lastOutboundMessageAt:
            type:
              - string
              - 'null'
            format: date-time
          assignedUserId:
            type:
              - string
              - 'null'
          assignedAt:
            type:
              - string
              - 'null'
            format: date-time
          unassignAt:
            type:
              - string
              - 'null'
            format: date-time
          lastMessageId:
            type:
              - string
              - 'null'
          activeIssueId:
            type:
              - string
              - 'null'
        required:
          - id
          - createdAt
          - updatedAt
          - customerId
          - organizationId
          - lastMessageAt
          - lastInboundMessageAt
          - lastOutboundMessageAt
          - assignedUserId
          - assignedAt
          - unassignAt
          - lastMessageId
          - activeIssueId
      description: Customer conversations, most recent activity first.
    UserError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
      additionalProperties: false
      description: Standard user-facing error response envelope.
  securitySchemes:
    organizationApiKey:
      type: http
      scheme: bearer
      description: 'Organization API key using `Authorization: Bearer sk_...`.'
    oauthAccessToken:
      type: http
      scheme: bearer
      bearerFormat: OAuth 2.1
      description: 'OAuth access token using `Authorization: Bearer qoa_at_...`.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.